[yadt] push by krux...@gmail.com - fixed yum call in yadt-yum on 2013-04-17 11:44 GMT

1 view
Skip to first unread message

ya...@googlecode.com

unread,
Apr 17, 2013, 7:44:47 AM4/17/13
to yadt-...@googlegroups.com
Revision: 87f2948f1398
Branch: default
Author: kru...@gmail.com
Date: Wed Apr 17 04:43:49 2013
Log: fixed yum call in yadt-yum
http://code.google.com/p/yadt/source/detail?r=87f2948f1398

Modified:
/yadt-client/src/usr/bin/yadt-yum
/yadt-client/yadt-client.spec

=======================================
--- /yadt-client/src/usr/bin/yadt-yum Wed Apr 17 02:24:41 2013
+++ /yadt-client/src/usr/bin/yadt-yum Wed Apr 17 04:43:49 2013
@@ -76,10 +76,13 @@
# perform updates, until there are no more left
while true; do
yum makecache > /dev/null 2>&1
- UPDATES=($(type -p repoquery) -a --pkgnarrow=updates
--queryformat "%{name}" --cache)
+ UPDATES=($($(type -p repoquery) -a --pkgnarrow=updates
--queryformat "%{name}" --cache))

if [ "${#UPDATES[@]}" -gt 0 ] ; then
- yum "${OPTIONS[@]}" "${PARAMETERS[0]}" -y "${UPDATES[@]}" || exit
+ echo "${OPTIONS[@]}"
+ echo "${PARAMETERS[0]}"
+ yum "${OPTIONS[@]}" "${PARAMETERS[0]}" -y "${UPDATES[@]}" || exit
+
else
# if there are no more updates break out of the while loop
echo 1>&2 "no further YUM upgrades available"
=======================================
--- /yadt-client/yadt-client.spec Wed Apr 17 01:59:38 2013
+++ /yadt-client/yadt-client.spec Wed Apr 17 04:43:49 2013
@@ -1,6 +1,6 @@
Summary: yadt client
Name: yadt-client
-Version: 1.55
+Version: 1.56
Release: 1
License: GPL
Vendor: Immobilien Scout GmbH
Reply all
Reply to author
Forward
0 new messages